/* DFBKana - a kana drill utility for DirectFB
 *
 * Copyright (C) 2001 Andreas Hundt <andi@fischlustig.de>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
                   
#ifndef KANAWINDOW_H
#define KANAWINDOW_H

void kanawindow_init( int x, int y, IDirectFBFont *font );
int kanawindow_update( int kana_nr, int kana_mode );
void kanawindow_moveto( int kana_nr );
void kanawindow_setsize( int w, int h );
DFBResult kanawindow_resize();
void kanawindow_deinit();

/* wrapper functions */
DFBResult kanawindow_getevent( DFBWindowEvent *wevt );
void kanawindow_getposition( int *x, int *y );
                    
#endif
